Subject: Re: bug#78537: GIMP startup crash on minimal xorg/wm unless gtk+ in profile

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 24 Jun 2025 21:39:12 +0900

Hi,

Runciter <[email-masked]> writes:

> Hi,
>
> "Maxim Cournoyer" <[email-masked]> writes:
>
>> I think prefix should work, even for the case referenced in #77921. I
>> had used = to be extra careful, but prefix is probably better if it
>> works.
>>
>> If you are able to test it, you may want to standardize all wrapping in
>> gimp to use prefix.
>
> It's done, all wrappings now use prefix. I just submitted a revised
> patch v3.
>
> I have tested that gimp starts successfully with and without gtk+ in the
> user profile.
>
> While this is v3 of the patch, I have just realized that my global git
> configuration was preventing the Change-Id from showing up at the end of
> commit messages. As a result the first and v2 patches did not have a
> Change-Id.

Are you able to run it this way?

--8<---------------cut here---------------start------------->8---
./pre-inst-env guix shell --pure gimp -- gimp
--8<---------------cut here---------------end--------------->8---

For me it still fails to run, apparently it fails to load its PNG icons.
Maybe it also needs to be wrapped with GDK_PIXBUF_MODULE_FILE ?

-- 
Thanks,
Maxim